include(../desktopbsd.pro.inc)

TARGET = dbsd-install
TEMPLATE = app
CONFIG += warn_on

INSTALLS += target 
target.path = $${BINDIR}

TARGETDEPS += ../libdesktopbsd/libdesktopbsd.so \
              ../libdesktopbsd-ui/libdesktopbsd-ui.so

INCLUDEPATH += ../libdesktopbsd ../libdesktopbsd-ui
QMAKE_LIBDIR = ../libdesktopbsd ../libdesktopbsd-ui $${QMAKE_LIBDIR}
LIBS += -ldesktopbsd -ldesktopbsd-ui

HEADERS += frminstallationwizard.h

SOURCES += main.cpp \
	frminstallationwizard.cpp

FORMS += uiFrmInstallationWizard.ui 

IMAGES += raid.png \
          hdd_unmount.png \
          desktopbsd.png \
          desktopbsd-bubble.png \
          binary.png \
          empty.png \
          editdelete.png \
          filenew.png \
          messagebox_info.png \
          info.png \
          messagebox_warning.png \
          help.png \
          filesave.png \
          undo.png \
          locale.png \
          partition.png \
          bootsector.png \
          reload.png \
          copy.png \
          error.png \
          success.png \
          background.png \
          progressarrow.png \
          logo.png \
          kcmdevices.png \
          kcmmemory.png \
          randr.png \
          energy.png
