include(../desktopbsd.pro.inc)

TARGET = dbsd-pkgmgr
TEMPLATE = app
CONFIG += warn_on

INSTALLS += kmenu-system \
            kdialog-ports-wrapper \
            dbsd-portsnap \
            splash \
            target 
target.path = $${BINDIR}

kmenu-system.files += dbsd-pkgmgr.desktop 
kmenu-system.path = $${APPLNKDIR}/System 

kdialog-ports-wrapper.files += kdialog-ports-wrapper
kdialog-ports-wrapper.path = $${BINDIR}

dbsd-portsnap.files += dbsd-portsnap
dbsd-portsnap.path = $${SBINDIR}

splash.files += pkgmgr-splash.png
splash.path = $${DATADIR}/images

INCLUDEPATH += ../libdesktopbsd-ui ../libdesktopbsd
QMAKE_LIBDIR = ../libdesktopbsd ../libdesktopbsd-ui $${QMAKE_LIBDIR}
LIBS += -ldesktopbsd \
        -ldesktopbsd-ui \
        -lkdeui

TARGETDEPS += ../libdesktopbsd-ui/libdesktopbsd-ui.so \
              ../libdesktopbsd/libdesktopbsd.so

FORMS += wndmain.ui \
         frmpkgsettings.ui 

SOURCES += main.cpp
