include(../desktopbsd.pro.inc)

TARGET = dbsd-traymounter 
TEMPLATE = app 
CONFIG += warn_on

INSTALLS += target 
target.path = $${BINDIR}

TARGETDEPS += ../libdesktopbsd/libdesktopbsd.so 

INCLUDEPATH += ../libdesktopbsd \
               ../libdesktopbsd-ui 
QMAKE_LIBDIR = ../libdesktopbsd ../libdesktopbsd-ui $${QMAKE_LIBDIR}
LIBS += -ldesktopbsd \
        -ldesktopbsd-ui \
        -lkdeui \
        -ldisk 

HEADERS += mountertray.h graphics.h mountersettings.h

SOURCES += main.cpp \
           graphics.cpp \
           mountertray.cpp \
           mountersettings.cpp
