include(../desktopbsd.pro.inc)

TARGET = dbsd-nettray 
TEMPLATE = app
CONFIG += warn_on

INSTALLS += target 
target.path = $${BINDIR}

nettray.idl.commands = $$IDL_COMPILER 
nettray.idl.target = nettray.idl

TARGETDEPS += ../libdesktopbsd/libdesktopbsd.so \
              ../libdesktopbsd-ui/libdesktopbsd-ui.so 

INCLUDEPATH += ../libdesktopbsd \
               ../libdesktopbsd-ui 
QMAKE_LIBDIR = ../libdesktopbsd ../libdesktopbsd-ui $${QMAKE_LIBDIR}
LIBS += -ldesktopbsd \
        -ldesktopbsd-ui \
        -lkdeui \
        -lkdeinit_kcmshell 

HEADERS += nettray.h \
           nettooltip.h \
           nettray_stub.h 

IDLS += nettray.idl 

SOURCES += main.cpp \
           nettray.cpp \
           nettooltip.cpp \
           nettray_skel.cpp \
           nettray_stub.cpp 
