include(../desktopbsd.pro.inc)

TARGET = dbsddisk
TEMPLATE = lib
CONFIG += warn_on dll

INSTALLS += target 
target.path = $${LIBDIR}

ARCH = $$system(uname -m)

equals(ARCH,) {
	error(Unknown architecture)
} else {
	message(Building for architecture $${ARCH})
}

INCLUDEPATH = $${SYSSRCDIR}/sys/geom

HEADERS += libdisk.h 

SOURCES += blocks.c \
           chunk.c \
           create_chunk.c \
           disk.c \
           rules.c \
           write_$${ARCH}_disk.c \
           write_disk.c

equals(ARCH, ia64) {
	SOURCES += open_ia64_disk.c
} else {
	SOURCES += open_disk.c change.c
}
