include(../desktopbsd.pro.inc)

TARGET = kcm_desktopbsd
TEMPLATE = lib
CONFIG += warn_on create_libtool create_prl

INSTALLS += peripherals \
            network \
            security \
            system \
            target \
            userstart-kde \
            userstart

target.path = $${KDELIBDIR}

userstart.files += dbsd-userstart
userstart.path = $${BINDIR}

userstart-kde.files += desktopbsd-tools.desktop
userstart-kde.path = $${AUTOSTARTDIR}

system.files += dbsdpackages.desktop dbsdgrubconf.desktop
system.path = $${APPLNKDIR}/Settings/System/ 

security.files += dbsdusers.desktop 
security.path = $${APPLNKDIR}/Settings/Security 

network.files += dbsdnetworking.desktop 
network.path = $${APPLNKDIR}/Settings/Network 

peripherals.files += dbsddevinfo.desktop dbsdmount.desktop dbsddiskpart.desktop
peripherals.path = $${APPLNKDIR}/Settings/Peripherals 

TARGETDEPS += ../libdesktopbsd-ui/libdesktopbsd-ui.so

INCLUDEPATH += ../libdesktopbsd-ui ../libdesktopbsd
QMAKE_LIBDIR = ../libdesktopbsd-ui $${QMAKE_LIBDIR}
LIBS += -ldesktopbsd-ui -ldisk

FORMS += LoadingError.ui \
         NotRoot.ui

HEADERS += dbsddevinfo.h \
           dbsddiskpart.h \
           dbsdinitglobal.h \
           dbsdkcmodule.h \
           dbsdmount.h \
           dbsdnetworking.h \
           dbsdpackages.h \
           dbsdrootonlykcmodule.h \
           dbsdusers.h \
           dbsdgrubconf.h

SOURCES += dbsddevinfo.cpp \
           dbsddiskpart.cpp \
           dbsdinitglobal.cpp \
           dbsdkcmodule.cpp \
           dbsdmount.cpp \
           dbsdnetworking.cpp \
           dbsdpackages.cpp \
           dbsdrootonlykcmodule.cpp \
           dbsdusers.cpp \
           dbsdgrubconf.cpp
