/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Pieringer Johannes <jpieringer@desktopbsd.net>
 *         (C) 2006
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __DBSDGRUBCONF_H_
#define __DBSDGRUBCONF_H_

#include <dbsdrootonlykcmodule.h>

class DBSDGrubConf: public DBSDRootOnlyKCModule
{
	Q_OBJECT

	public:
		DBSDGrubConf(QWidget *parent = NULL, const char *name = NULL,  const QStringList& = QStringList());
		QString kcmoduleName();
		~DBSDGrubConf();
};

#endif
