/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Reinhard Pointner <rpointner@desktopbsd.net>
 *         (C) 2006
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __MOUNTERSETTINGS_H
#define __MOUNTERSETTINGS_H

#include <dbsdsettings.h>

/** @brief DBSDSettings class managing all settings related to the mounter
  *
  * @see DBSDSettings
  */
class MounterSettings : public DBSDSettings
{
public:
	bool isIntroductionEnabled();
	bool setIntroductionEnabled(bool);
};

#endif

