/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2007
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __NETTOOLTIP_H
#define __NETTOOLTIP_H

#include <qwidget.h>
#include <qtooltip.h>

class NetworkTray;

class NetTooltip : public QToolTip
{
public:
	NetTooltip(NetworkTray * parent);

protected:
	void maybeTip(const QPoint &);

private:
	NetworkTray *parent;
};

#endif /* __NETTOOLTIP_H */
