/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __PORTAUDITFORMATTER_H
#define __PORTAUDITFORMATTER_H

#include <qobject.h>
#include <terminalformatter.h>

class QColor;
class TerminalDisplay;

class PortAuditFormatter : public TerminalFormatter {
	Q_OBJECT

public:
	PortAuditFormatter(TerminalDisplay *, const char *name = NULL);
	QColor format(const QString&);
};

#endif /* __PORTAUDITFORMATTER_H */
